<p align="center"><img src="https://i.imgur.com/n4AuIzC.png" /></p>

The world of Valheim has had enough of Odin and his chosen warriors! Enemies are now evolving random abilities to fight back and retake what was abandoned to them.

<p align="center">
<table>
<tr>
<td><img src="https://i.imgur.com/9KCsQfg.png"/></td>
<td><img src="https://i.imgur.com/qNs1hUg.png"/></td>
</tr>
<tr>
<td><img src="https://i.imgur.com/cWAWl9s.png"/></td>
<td><img src="https://i.imgur.com/SWC8BRl.png"/></td>
</tr>
</table>
</p>


## Configuration

The mod is *highly* configurable:
- Whether or not to evolve raid spawns
- Whether or not to evolve non-raid spawns
- Whether or not to evolve player summons
- Odds of minor evolutions per spawn
- Odds of major evolutions per spawn
- Odds of major evolutions per creature level
- Odds of raid evolutions
- Odds of raid evolutions influenced by the number of world bosses killed
- Minimum number of minor evolution points per creature
- Minor evolution points per creature level
- Minor evolution points per creature for each world boss killed
- Minimum number of major evolution points per creature
- Major evolution points per creature level
- Major evolution points per creature for each world boss killed
- Bonus evolution points for raids
- Bonus evolution points for raids for each world boss killed
- Maximum number of minor evolutions per creature
- Maximum number of major evolutions per creature
- Maximum number of evolutions per creature
- Whether or not to limit major evolutions to creature levels

On top of the above global settings, each evolution is also configurable:
- Minimum creature level
- Maximum creature level
- Cost in evolution points
- Selection weight (affects the odds of the evolution being selected from a group of available evolutions)
- Biomes the evolution is allowed in (defaults to all)


## Minor Evolutions (so far)

Offensive
- Stout: +30% physical damage, spread between Blunt, Pierce, and Slash
- Bulky: +60% physical damage, spread between Blunt, Pierce, and Slash
- Massive: +120% physical damage, spread between Blunt, Pierce, and Slash
- Smoldering: +25% damage as Fire
- Flaming: +50% damage as Fire
- Blazing: +100% damage as Fire
- Frosting: +25% damage as Frost
- Chilling: +50% damage as Frost
- Freezing: +100% damage as Frost
- Sparking: +25% damage as Lightning
- Jolting: +50% damage as Lightning
- Arcing: +100% damage as Lightning
- Festering: +25% damage as Poison
- Rotting: +50% damage as Poison
- Decaying: +100% damage as Poison

Defensive
- Stable: Immune to being staggered, neither by attack nor by blocking
- Hearty: +25% health
- Robust: +50% health
- Vigorous: +100% health

Movement
- Nimble: +25% movement speed
- Agile: +50% movement speed
- Swift: +100% movement speed


## Major Evolutions (so far)

Coming in a future update


## Support

If you have any questions or need help, find me on the [Valheim Modding discord server](https://discord.gg/89bBsvK5KC)﻿.

If you'd like to donate, head to [my Patreon page](https://www.patreon.com/pfhoenix).
